<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent" android:background="@color/cardview_dark_background">
    <FrameLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:id="@+id/login_frame_layout">
        <LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <LinearLayout android:background="#ff51658a" android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="1" />
            <LinearLayout android:background="#ffeeeeee" android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="1" />
        </LinearLayout>
        <LinearLayout android:orientation="vertical" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <ImageView android:layout_width="fill_parent" android:scaleType="centerCrop" android:layout_height="0dp" android:src="@drawable/login_logo" android:layout_weight="15" />
            <ImageView android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="15" />
        </LinearLayout>
        <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <LinearLayout android:orientation="vertical" android:layout_width="0dp"
                android:layout_height="fill_parent" android:layout_weight="1" />
            <LinearLayout android:orientation="vertical" android:layout_width="0dp" android:layout_height="fill_parent" android:layout_weight="15">
                <LinearLayout android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="18"
                    tools:ignore="NestedWeights" />
                <LinearLayout android:orientation="vertical" android:id="@+id/login_form"
                    android:background="@drawable/style_login_corner" android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="13">
                    <TextView android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="1" />
                    <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="4">
                        <TextView android:layout_width="0.0dip" android:layout_height="fill_parent" android:layout_weight="1.0"
                            tools:ignore="NestedWeights" />
                        <ImageView android:layout_gravity="center_vertical" android:layout_width="0dp" android:layout_height="fill_parent"
                            android:src="@drawable/login_user_name" android:layout_weight="1" android:layout_marginEnd="5dp" />
                        <EditText android:textSize="15sp" android:textColor="#ff666666" android:layout_gravity="start" android:id="@+id/login_user_name"
                            android:background="#00ffffff" android:layout_width="0.0dip" android:layout_height="fill_parent"
                            android:hint="@string/login_user_name" android:lines="1" android:singleLine="true" android:layout_weight="8" android:inputType="text" />
                    </LinearLayout>
                    <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="1dp">
                        <TextView android:layout_width="0dp" android:layout_height="1dp" android:layout_weight="1" />
                        <TextView android:background="#ffeeeeee" android:layout_width="0dp" android:layout_height="1dp" android:layout_weight="7" />
                        <TextView android:layout_width="0dp" android:layout_height="1dp" android:layout_weight="1" />
                    </LinearLayout>
                    <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="4">
                        <TextView android:layout_width="0dp" android:layout_height="fill_parent" android:layout_weight="1"
                            tools:ignore="NestedWeights" />
                        <ImageView android:layout_gravity="center_vertical" android:layout_width="0.0dip" android:layout_height="fill_parent"
                            android:src="@drawable/login_password" android:layout_weight="1" android:layout_marginEnd="5dp" />
                        <EditText android:textSize="15sp" android:textColor="#ff666666" android:layout_gravity="start" android:id="@+id/login_password"
                            android:background="#00ffffff" android:layout_width="0dp" android:layout_height="fill_parent"
                            android:hint="@string/login_password" android:lines="1" android:layout_weight="8" android:inputType="textPassword" />
                    </LinearLayout>
                    <TextView android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="1" />
                </LinearLayout>
                <!--<LinearLayout android:gravity="center" android:orientation="horizontal" android:layout_width="fill_parent"
                    android:layout_height="0dp" android:layout_weight="3">
                    <TextView android:textColor="#ff806060" android:gravity="start|center" android:id="@+id/login_forget_password" android:background="@drawable/style_tv_onclicked" android:focusable="true" android:clickable="true" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="忘记密码？" />
                </LinearLayout>-->
                <LinearLayout android:layout_marginTop="20sp" android:orientation="horizontal" android:background="#ffe8e8e8" android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="3">
                    <Button android:textSize="18sp" android:textColor="#ffffffff" android:id="@+id/login_submit" android:background="@drawable/round_bt_bg"
                        android:layout_width="fill_parent" android:layout_height="fill_parent" android:text="@string/login_submit"/>
                </LinearLayout>
                <LinearLayout android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="0dp" android:layout_weight="5"/>
            </LinearLayout>
            <LinearLayout android:orientation="vertical" android:layout_width="0dp" android:layout_height="fill_parent" android:layout_weight="1" />
        </LinearLayout>
    </FrameLayout>
</FrameLayout>